<?cs include "header.cs"?>
<?cs include "macros.cs"?>

<div id="ctxtnav" class="nav"></div>

<div id="content" class="settings">

 <h1>Ustawienia i zarządzanie sesjami</h1>

 <h2>Ustawienia użytkownika</h2>
 <p>
 Ta strona pozwoli zmodyfikować cały serwis do Twoich potrzeb. Ustawienia sesji są przechowywane przez serweri identyfikowane za pomocą "klucza sesji" zapisanego w pliku cookie przeglądarki. Pozwoli to przywrócić Twoje ustawienia 
 </p>
 <form method="post" action="">
 <div>
  <h3>Osobiste informcje</h3>
  <div>
   <input type="hidden" name="action" value="save" />
   <label for="name">Name:</label>
   <input type="text" id="name" name="name" class="textwidget" size="30"
          value="<?cs var:settings.name ?>" />
  </div>
  <div>
   <label for="email">Email:</label>
   <input type="text" id="email" name="email" class="textwidget" size="30"
          value="<?cs var:settings.email ?>" />
  </div><?cs
  if:settings.session_id ?>
   <h3>Session</h3>
   <div>
    <label for="newsid">Session Key:</label>
    <input type="text" id="newsid" name="newsid" class="textwidget" size="30"
           value="<?cs var:settings.session_id ?>" />
    <p>Klucz sesji używany jest do identyfikacji własnych ustawień i sesji na serwerze. 
    Automatycznie wygenerowany możesz zmienić na coś łatwiejszego do zapamiętania, jeśli zamierzasz korzystać z innej przeglądarki.</p>
   </div><?cs
  /if ?>
  <div>
   <br />
   <input type="submit" value="Zapisz zmiany" />
  </div >
 </div>
</form><?cs
if:settings.session_id ?>
 <hr />
 <h2>Load Session</h2>
 <p>Możesz wczytać poprzednio zapisaną sesję wpisując poniżej odpowiadający jej klucz sesji następnie klikając 'Aktualizuj'. Pozwoli to Tobie używać tych samych ustawień na wielu komputerach i/lub przeglądarkach.</p>
 <form method="post" action="">
  <div>
   <input type="hidden" name="action" value="load" />
   <label for="loadsid">Existing Session Key:</label>
   <input type="text" id="loadsid" name="loadsid" class="textwidget" size="30"
          value="" />
   <input type="submit" value="Aktualizuj" />
  </div>
 </form><?cs
/if ?>

</div>
<?cs include:"footer.cs"?>
